"use client";

import { useRef } from "react";
import HeroSlider from "@/components/HeroSlider";
import ContactFormSection from "@/components/ContactFormSection";

export default function HomeTopSection() {
  const formRef = useRef<HTMLDivElement | null>(null);

  function scrollToForm() {
    formRef.current?.scrollIntoView?.({ behavior: "smooth" });
  }

  return (
    <>
      <HeroSlider onClickBook={scrollToForm} />

      <div className="lg:hidden" ref={formRef}>
        <ContactFormSection />
      </div>
    </>
  );
}
